Portfolio

Export ledger table as CSV

GET/portfolio/tables/ledger/export

Downloads the ledger data as a CSV file, applying the same asset, investor, and filter scoping as the ledger endpoint.

Query parameters

  • asset_idinteger#
  • investor_idinteger#
  • per_pageinteger#
  • pageinteger#
  • pre_datestring (date-time)#
  • asset_classPortfolioAssetClass | null#
  • structurePortfolioAssetStructure | null#
  • filter[]array | null#
  • sub_position_parent_idinteger#
  • includePendingboolean#
  • latestboolean#

Responses

202
{
  "audit_guid": "string"
}
422

Validation error

Examples

curl https://your-org-domain/kong/core/api/v2/portfolio/tables/ledger/export\
  -H "Authorization: Bearer $HELM_API_KEY"\
  -H "Content-Type: application/json"